body {
    margin: 0;
    background: #0b0b0b;
    color: #fff;
    font-family: Arial;
}

header {
    padding: 15px;
    background: linear-gradient(to bottom, #000, transparent);
    display: flex;
    justify-content: space-between;
    position: sticky;
    top: 0;
    z-index: 10;
}

.logo {
    color: red;
    font-size: 22px;
    font-weight: bold;
}

#search {
    padding: 8px;
    border-radius: 6px;
    width: 45%;
    border: none;
}

.section-title {
    padding: 10px;
    font-size: 18px;
}

#hero {
    height: 60vh;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: flex-end;
}

.hero-info {
    width: 100%;
    padding: 30px;
    background: linear-gradient(to top, black, transparent);
}

.hero-info button {
    padding: 10px 20px;
    background: red;
    border: none;
    color: white;
    border-radius: 6px;
}

#categories {
    padding: 10px;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

.cat-btn {
    background: #222;
    border: 1px solid #333;
    padding: 8px 12px;
    border-radius: 6px;
    color: white;
}

.row {
    margin: 20px 0;
}

.row h2 {
    margin: 10px;
}

.row-list {
    display: flex;
    overflow-x: auto;
    gap: 10px;
    padding: 10px;
}

.card {
    min-width: 150px;
    height: 220px;
    position: relative;
    cursor: pointer;
    transition: 0.3s;
}

.card img {
    width: 150px;
    height: 220px;
    object-fit: cover;
    border-radius: 6px;
}

.card:hover {
    transform: scale(1.12);
}

.trailer {
    position: absolute;
    top: 0;
    left: 0;
    width: 150px;
    height: 220px;
    border-radius: 6px;
    border: none;
    display: none;
    z-index: 5;
}

.card:hover .trailer {
    display: block;
}

.modal {
  position: fixed;
  top: 0; left: 0;
  width: 100%; height:100%;
  background: rgba(0,0,0,0.7);
  display: none;
  justify-content: center;
  align-items: center;
}

.modal-content {
  background: #111;
  padding: 20px;
  border-radius: 10px;
  width: 90%;
  max-width: 350px;
}

button {
    padding: 10px;
    margin: 5px 0;
    background: red;
    border: none;
    color: white;
    border-radius: 6px;
}
